Package org.drinkless.tdlib

# Class TdApi.InputMessageAudio

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InputMessageContent
org.drinkless.tdlib.TdApi.InputMessageAudio

Enclosing class:
  `TdApi`

public static class TdApi.InputMessageAudio extends TdApi.InputMessageContent
An audio message.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InputMessageContent

  `TdApi.InputMessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.InputThumbnail`
  `albumCoverThumbnail`
  Thumbnail of the cover for the album; pass null to skip thumbnail uploading.
  `TdApi.InputFile`
  `audio`
  Audio file to be sent.
  `TdApi.FormattedText`
  `caption`
  Audio caption; pass null to use an empty caption; 0-getOption("message_caption_length_max") characters.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `duration`
  Duration of the audio, in seconds; may be replaced by the server.
  `String`
  `performer`
  Performer of the audio; 0-64 characters, may be replaced by the server.
  `String`
  `title`
  Title of the audio; 0-64 characters; may be replaced by the server.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputMessageAudio()`
  An audio message.
  `InputMessageAudio(TdApi.InputFile audio, TdApi.InputThumbnail albumCoverThumbnail, int duration, String title, String performer, TdApi.FormattedText caption)`
  An audio message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### audio

    public TdApi.InputFile audio
    Audio file to be sent.

  - ### albumCoverThumbnail

    public TdApi.InputThumbnail albumCoverThumbnail
    Thumbnail of the cover for the album; pass null to skip thumbnail uploading.

  - ### duration

    public int duration
    Duration of the audio, in seconds; may be replaced by the server.

  - ### title

    public String title
    Title of the audio; 0-64 characters; may be replaced by the server.

  - ### performer

    public String performer
    Performer of the audio; 0-64 characters, may be replaced by the server.

  - ### caption

    public TdApi.FormattedText caption
    Audio caption; pass null to use an empty caption; 0-getOption("message_caption_length_max") characters.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InputMessageAudio

    public InputMessageAudio()
    An audio message.

  - ### InputMessageAudio

    public InputMessageAudio(TdApi.InputFile audio, TdApi.InputThumbnail albumCoverThumbnail, int duration, String title, String performer, TdApi.FormattedText caption)
    An audio message.
    Parameters:
      `audio` - Audio file to be sent.
      `albumCoverThumbnail` - Thumbnail of the cover for the album; pass null to skip thumbnail uploading.
      `duration` - Duration of the audio, in seconds; may be replaced by the server.
      `title` - Title of the audio; 0-64 characters; may be replaced by the server.
      `performer` - Performer of the audio; 0-64 characters, may be replaced by the server.
      `caption` - Audio caption; pass null to use an empty caption; 0-getOption("message_caption_length_max") characters.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InputMessageContent`
    Returns:
      this.CONSTRUCTOR